Subject: Re: Melissa Angell and Gregory Murray
From: "Michael B" <[email-masked]>
To: "Crystal Delang" <[email-masked]>, "Labor Law" <[email-masked]>, "Kelly Parker" <[email-masked]>, "Shelley Mitchell" <[email-masked]>
Date: Wed, 23 Sep 2015 09:20:36 -0400

I appreciate that.  I think it might be a good idea if we have someone from Access come down this morning.  Anyone available to do this?  Anyone whose assignments ended that need to get stuff off of their desks, could come then also.  
Thank you,
Michael B
LLPS

From: Crystal Delang 
Sent: Wednesday, September 23, 2015 9:10 AM
To: Michael B ; Labor Law ; Kelly Parker ; Shelley Mitchell 
Subject: RE: Melissa Angell and Gregory Murray

I agree Mike, Greg’s assignment has been ended!

From: Michael B [mailto:[email-masked]] 
Sent: Wednesday, September 23, 2015 9:07 AM
To: Crystal Delang; Labor Law; Kelly Parker; Shelley Mitchell
Subject: Re: Melissa Angell and Gregory Murray

Sorry to just chime in but maybe we should just end that assignment now.  We don't need the intimidation and/or level of unprofessionalism.  

Thank you,
Michael B
LLPS

From: Crystal Delang 

Sent: Wednesday, September 23, 2015 9:03 AM

To: Labor Law ; Kelly Parker ; Shelley Mitchell ; Mike 

Subject: RE: Melissa Angell and Gregory Murray

Thank you Angela, Melissa stated she has items she needs to get from her desk, is she allowed to stop by? or I can retrieve them for her.

From: Labor Law [mailto:[email-masked]] 
Sent: Wednesday, September 23, 2015 9:01 AM
To: Crystal Delang; Kelly Parker; Shelley Mitchell; Mike
Subject: Fwd: Melissa Angell and Gregory Murray

 

---------- Forwarded message ----------
From: Labor Law <[email-masked]>
Date: Tue, Sep 22, 2015 at 4:29 PM
Subject: Melissa Angell and Gregory Murray
To: Kelly Parker <[email-masked]>
Cc: Crystal Delang <[email-masked]>

We need to have Melissa's assignment ended after 6pm tonight.  She just isn't catching on like we had hoped and she cannot pronounce even the most basic city names. 

I caught Greg on his phone today. I asked him to give it to me and he refused. He made a little bit of a scene on the floor.  I told him he needed to call your office and he started getting really worked up. I told him to finish out the day. I would like his assignment ended today after 6pm. To be completely honest he was very intimidating to me and would not take no for an answer. I didn't want to send him off during the shift.  I would appreciate it if you told him his assignment is ended after the work day is over.

Thank you,

Angela